/*
 * This file and everything in this package is covered under
 * the GNU General Public License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.gpl
 * 
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-client/src/org/opendj/client/ChatDialog.java,v 1.1.1.1 2001/09/29 20:22:00 jonathan Exp $
 * $Log: ChatDialog.java,v $
 * Revision 1.1.1.1  2001/09/29 20:22:00  jonathan
 * Imported opendj-client
 *
 */
package org.opendj.client;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.util.Properties;
import org.opendj.chat.ChatApplet;
import org.opendj.share.DjBean;
import org.opendj.share.ChannelTime;

public class ChatDialog extends JFrame implements WindowListener {

    private Main itsApp = null;
    private DjBean itsDjBean = null;
    private ChatApplet itsChatApplet = null;
    private String itsRoomName = null;

    public ChatDialog ( JFrame theParent, Main theApp, DjBean theDjBean ) {
        super("OPENdj: Chat");
        itsApp = theApp;
        itsDjBean = theDjBean;
        init();
        pack();
        Rectangle aParentBounds = theParent.getBounds();
        setBounds(aParentBounds.x+Main.WINDOW_OFFSET_X,
                  aParentBounds.x+Main.WINDOW_OFFSET_Y,
                  600, 450);
        setVisible(true);
    }

    public String getRoomName() { return itsRoomName; }

    public void init () {

        itsChatApplet = new ChatApplet();

        Properties someMainProps = itsApp.getProps();
        Properties someProps = new Properties();
        ChannelTime aChannel = itsApp.getActiveChannel();
        itsRoomName = aChannel.name;

        someProps.setProperty("HOSTNAME", someMainProps.getProperty(Main.PROP_HOST));
        someProps.setProperty("ROOMNAME", itsRoomName);
        someProps.setProperty("DJEMAIL", itsDjBean.getemail());
        someProps.setProperty("EPASSWORD", itsDjBean.getpassword());

        itsChatApplet.setProps(someProps);
        getContentPane().setLayout( new BorderLayout() );
        getContentPane().add(itsChatApplet, BorderLayout.CENTER);
        itsChatApplet.init();
        itsChatApplet.start();
    }

    public void finish () {
        if ( itsChatApplet != null ) {
            itsChatApplet.stop();
        }
        setVisible(false);
        dispose();
    }

    public void finalize () { 
        finish();
    }

    public void windowClosing(WindowEvent e) {}
    public void windowOpened(WindowEvent e) {}
    public void windowDeactivated(WindowEvent e) {}
    public void windowIconified(WindowEvent e) {}
    public void windowActivated(WindowEvent e) {}
    public void windowDeiconified(WindowEvent e) {}
    public void windowClosed(WindowEvent e) {}
}
