/*
 * This file and everything in this package is covered under
 * the GNU General Public License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.gpl
 * 
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-client/src/org/opendj/client/EncoderFactory.java,v 1.1.1.1 2001/09/29 20:22:00 jonathan Exp $
 * $Log: EncoderFactory.java,v $
 * Revision 1.1.1.1  2001/09/29 20:22:00  jonathan
 * Imported opendj-client
 *
 */
package org.opendj.client;

import org.opendj.share.ChannelTime;

public class EncoderFactory {

    public static Encoder createEncoder( Main theApp, 
                                  ChannelTime theChannelTime ) 
    throws ClassNotFoundException, 
           InstantiationException, 
           IllegalAccessException {

        String anEncoderClass = theApp.getProps().getProperty(Main.PROP_ENCODER);
        Encoder anEncoder = (Encoder) Class.forName(anEncoderClass).newInstance();
        anEncoder.init(theApp, theChannelTime);
        return anEncoder;

    }

    private EncoderFactory() {}
}
