/*
 * This file and everything in this package is covered under
 * the GNU General Public License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.gpl
 * 
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-client/src/org/opendj/client/ServerException.java,v 1.1.1.1 2001/09/29 20:22:00 jonathan Exp $
 * $Log: ServerException.java,v $
 * Revision 1.1.1.1  2001/09/29 20:22:00  jonathan
 * Imported opendj-client
 *
 */
package org.opendj.client;

import org.opendj.share.NestedException;

public class ServerException extends NestedException {

    public static final String E_NO_SUCH_USER
        = "\n\nYou entered your email incorrectly.";

    public static final String E_BADPASSWORD
        = "\n\nYou entered your password incorrectly.";

    public static final String E_UNEXPECTED_RESPONSE
        = "\n\nThe server gave an unexpected response";

    public ServerException() {}

    public ServerException(String s) {
        super(s);
    }

    public ServerException(Throwable t) {
        super(t);
    }

    public ServerException(String s, Throwable t) {
        super(s, t);
    }

}
