/*
 * This file and everything in this package is covered under
 * the GNU General Public License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.gpl
 * 
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-client/src/org/opendj/client/ShowDjDialog.java,v 1.1.1.1 2001/09/29 20:22:00 jonathan Exp $
 * $Log: ShowDjDialog.java,v $
 * Revision 1.1.1.1  2001/09/29 20:22:00  jonathan
 * Imported opendj-client
 *
 */
package org.opendj.client;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import org.opendj.share.DjBean;

public class ShowDjDialog extends JDialog implements ActionListener {

    private JButton        itsOKButton     = null;
    private DjBean         itsDjBean       = null;

    public ShowDjDialog ( JFrame theParent, DjBean theDjBean ) {
        super(theParent, "DJ Stats", true);
        itsDjBean = theDjBean;
        init();
        pack();
        Rectangle aParentBounds = theParent.getBounds();
        setBounds(aParentBounds.x+Main.WINDOW_OFFSET_X,
                  aParentBounds.x+Main.WINDOW_OFFSET_Y,
                  500, 350);
        setVisible(true);
    }

    private void init() {

        itsOKButton     = new JButton("OK");
        itsOKButton.addActionListener(this);

        JPanel aStatsPane = new JPanel();
        aStatsPane.setLayout(new GridLayout(16,2));

        aStatsPane.add( new JLabel("Email:") );
        aStatsPane.add( new JLabel(itsDjBean.getemail()) );
        aStatsPane.add( new JLabel("IP Address:") );
        aStatsPane.add( new JLabel(itsDjBean.getipaddr()) );
        aStatsPane.add( new JLabel("City:") );
        aStatsPane.add( new JLabel(itsDjBean.getcity()) );
        aStatsPane.add( new JLabel("State:") );
        aStatsPane.add( new JLabel(itsDjBean.getstate()) );
        aStatsPane.add( new JLabel("Country:") );
        aStatsPane.add( new JLabel(itsDjBean.getcountry()) );

        aStatsPane.add( new JLabel("DJ Name:") );
        aStatsPane.add( new JLabel(itsDjBean.getdjname()) );
        aStatsPane.add( new JLabel("Show Name:") );
        aStatsPane.add( new JLabel(itsDjBean.getshowname()) );
        aStatsPane.add( new JLabel("Genre:") );
        aStatsPane.add( new JLabel(itsDjBean.getgenreval()) );
        aStatsPane.add( new JLabel("Web Page:") );
        aStatsPane.add( new JLabel(itsDjBean.getwebpage()) );

        aStatsPane.add( new JLabel("Karma:") );
        aStatsPane.add( new JLabel(String.valueOf(itsDjBean.getkarma())) );
        aStatsPane.add( new JLabel("First Broadcast:") );
        aStatsPane.add( new JLabel(itsDjBean.getfirstbroadcaststring()) );
        aStatsPane.add( new JLabel("Number of Broadcasts:") );
        aStatsPane.add( new JLabel(String.valueOf(itsDjBean.getnumbroadcasts())) );
        aStatsPane.add( new JLabel("Total Listeners:") );
        aStatsPane.add( new JLabel(String.valueOf(itsDjBean.gettotallisteners())) );
        aStatsPane.add( new JLabel("# of Times You Were Late:") );
        aStatsPane.add( new JLabel(String.valueOf(itsDjBean.getnumstartlate())) );
        aStatsPane.add( new JLabel("# of Times You Left Early:") );
        aStatsPane.add( new JLabel(String.valueOf(itsDjBean.getnumendearly())) );
        aStatsPane.add( new JLabel("# of Times You Were Absent:") );
        aStatsPane.add( new JLabel(String.valueOf(itsDjBean.getnumnoshow())) );

        JPanel aMainPane = new JPanel();
        aMainPane.setLayout(new BorderLayout());
        aMainPane.add(aStatsPane, BorderLayout.CENTER);
        aMainPane.add(itsOKButton, BorderLayout.SOUTH);
        
        getContentPane().add(aMainPane);
    }

    public void actionPerformed(ActionEvent e) {
        if ( e.getSource() == itsOKButton ) {
            Main.log("ShowDjDialog: OK button pushed");
            setVisible(false);
            dispose();
        }
    }
}
