/*
 * This file and everything in this package is covered under
 * the GNU General Public License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.gpl
 * 
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-client/src/org/opendj/client/java/OpenDJPlaylist.java,v 1.1.1.1 2001/09/29 20:22:00 jonathan Exp $
 * $Log: OpenDJPlaylist.java,v $
 * Revision 1.1.1.1  2001/09/29 20:22:00  jonathan
 * Imported opendj-client
 *
 */
package org.opendj.client.java;

import java.util.Properties;
import org.jrev.Playlist;
import org.jrev.StreamSource;
import org.opendj.client.Main;
import org.opendj.share.ChannelTime;

public class OpenDJPlaylist implements Playlist {

    private OpenDJStreamSource itsLiveSource = null;

    public OpenDJPlaylist(Main theApp, ChannelTime theChannelTime) {
        log("OpenDJPlaylist constructor called");
        itsLiveSource = new OpenDJStreamSource(theApp, theChannelTime);
    }

    public StreamSource currentSource () {
        log("OpenDJPlaylist.currentSource called");
        return itsLiveSource;
    }

    public StreamSource nextSource () {
        log("OpenDJPlaylist.nextSource called");
        return itsLiveSource;
    }

    public void finish() {
        itsLiveSource.finish();
    }

    private void log ( String s ) {
        Main.log("[PLAYLIST] " + s);
    }
}
